﻿@model Tuple<List<ActivitiesView>, ActivitiesSAPComboView >
@{
    bool _Update = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.Activity.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _Add = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.Activity.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _Delete = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.Activity.ToDescriptionString() && c.InternalKey == Enums.Actions.Delete.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _View = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.Activity.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}

<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@Activity.Activitylist</h3>
    </div>

    <div class="panel-body">
        <div class="table-responsive tableItemsDocuments">
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th></th>
                        <th>@Activity.ModelCode</th>
                        <th>@Activity.Model</th>
                        <th>@Activity.ProjectCode</th>
                        <th>@Activity.Code</th>
                        <th>@Activity.Activities</th>
                        <th>@Activity.UserType</th>
                        <th>@Activity.Assigned</th>
                        <th>@Activity.Cardcode</th>
                        <th>@Activity.Cardname</th>
                        <th>@Activity.Datefrom</th>
                        <th>@Activity.Dateto</th>
                        <th>@Activity.Status</th>
                        <th>@Activity.Remark</th>
                        <th>&nbsp;</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (ActivitiesView item in Model.Item1)
                    {
                        <tr>
                            @if (!string.IsNullOrEmpty(item.ModelImage))
                            {
                                <td><img class="medium" src="/images/@item.U_ARGNS_PRDCODE/@item.ImageName"></td>
                            }
                            else
                            {
                                <td><img class="medium" src="~/Content/img/DefaultImg.jpg"></td>
                            }
                            <td>@item.U_ARGNS_PRDCODE</td>
                            <td class="no_wrap">@item.ModelName</td>
                            <td>@item.U_ARGNS_PROYECT</td>
                            <td>@item.ClgCode</td>
                            <td>@item.ActionName</td>
                            <td>@(item.UserType == 0 ? "User" : (item.UserType == 1 ? "Employee" : ""))</td>
                            <td>@item.AssignedUserName</td>
                            <td>@item.CardCode</td>
                            <td>@item.CardName</td>
                            <td>@item.Recontact.ToString("MM/dd/yyyy")</td>
                            <td>@item.endDate.ToString("MM/dd/yyyy")</td>
                            <td class="no_wrap">@(item.status != null ? Model.Item2.ActivityStatusList.Where(c => c.statusID == item.status).FirstOrDefault().name : "")</td>
                            <td class="short_text_tables">@item.Details</td>
                            <td>
                                @if (_View)
                                {
                                    <a href='@Url.Action("ActivityAction", "Activity", new { @pAction = "View", @pCode = item.ClgCode, @pFrom = "Activities" })' class="btn btn-primary btn-xs">
                                        <span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;@Activity.View
                                    </a>
                                }      
                                @if (_Update && item.Closed != "Y")
                                {
                                    <a href='@Url.Action("ActivityAction", "Activity", new { @pAction = "Update", @pCode = item.ClgCode, @pFrom = "Activities" })' class="btn btn-primary btn-xs">
                                        <span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;@Activity.Edit
                                    </a>
                                }                                      
                            </td>
                        </tr>
                    }

                </tbody>
            </table>
        </div>

    </div>

</div>
@if (_Add)
{
    <div class="col-md-2 pull-right">
        <a href='@Url.Action("ActivityAction", "Activity", new { @pAction = "Add", @pCode = 0, @pFrom = "Activities" })' class="btn btn-success btn-ls pull-right ">
            <span class="glyphicon glyphicon-file"></span>&nbsp;@Activity.Add
        </a>
    </div>
}